#include <stdio.h>

int main(void) {
    int n;

    printf("Input positive integer: ");
    scanf("%d", &n);

    if (n <= 1) {
        return 1;
    }

    int i = 1;

    while (2*i <= n) {
        printf("%d ", 2*i++);
    }

    printf("\n");

    return 0;
}
